.product-block {
  display: flex;
  flex-direction: column;
  position: relative;
  transition: var(--transition);
  width: 100%;
  height: 100%;

  @include media("md") {
    &:hover {
      &:before,
      &:after,
      &:not(.-group-shop-block) > .add-to-cart {
        opacity: 1 !important;
        pointer-events: all !important;
        visibility: visible !important;
      }


      .images .image img:nth-child(2) {
        opacity: 1;
      }
    }
  }

  &.sold-out {
    position: relative;
    z-index: 1;
    opacity: 0.4;
  }

  > .images {
    margin-bottom: 1.6rem;
    position: relative;

    @import "./flag";
  }

  > .images img {
    transition: var(--transition);

    &:nth-child(2) {
      opacity: 0;
    }
  }

  > .description {
    margin-bottom: 0;
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  > .description .name {
    margin-bottom: auto;
    line-height: 1.2;
  }

  > .description .name a {
    font-size: var(--font-size-base);
    font-weight: var(--font-weight-base);
    font-family: var(--font-family-base);
  }

    //Placeholder de loading para a compra rápida no hover
  &[data-quickview-type="hover"]:not([data-quickview-processed="true"])::before {
    content: "";
    display: none;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 30%;
    background-color: rgba(250, 250, 250, 0.8);
    box-shadow: 0 0 1.2rem 0 rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(0.3rem);
    z-index: 1;
    transition: var(--transition);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;

    @include media("md") {
      display: block;
    }
  }

  //Placeholder de loading para a compra rápida no hover
  &[data-quickview-type="hover"]:not([data-quickview-processed="true"])::after {
    animation: spin 2s linear infinite;
    content: "";
    position: absolute;
    bottom: calc(15% - 1.3rem);
    left: calc(50% - 1.3rem);
    border: 0.3rem solid var(--gray-2);
    border-top: 0.3rem solid var(--gray-3);
    border-radius: 50%;
    display: none;
    height: 2rem;
    width: 2rem;
    z-index: 1;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;

    @include media("md") {
      display: block;
    }

    @keyframes spin {
      0% {
        transform: rotate(0deg);
      }
      100% {
        transform: rotate(360deg);
      }
    }
  }

  // Compra rápida no hover
  &:not(.-group-shop-block) > .add-to-cart {
    display: none;

    @include media("md") {
      position: absolute;
      z-index: 2;
      bottom: 0;
      left: 0;
      width: 100%;
      min-height: 30%;
      max-height: 90%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      padding: 1.6rem 1rem;
      background-color: rgba(249, 249, 249, 0.8);
      backdrop-filter: blur(0.3rem);
      box-shadow: 0 0 1.2rem 0 rgba(0, 0, 0, 0.1);
      pointer-events: none;
      visibility: hidden;
      opacity: 0;
      transition: var(--transition);
    }
  }

  &:not(.-group-shop-block) > .add-to-cart > *:not(.button-default) {
    padding-left: 1rem;
    padding-right: 1rem;
  }

  // Configura atributos do product block
  &:not(.-group-shop-block) > .add-to-cart .attributes {
    background-color: transparent;
    gap: 1rem;
    overflow-x: hidden;
    overflow-y: auto;
    padding-top: 0;
    padding-bottom: .5rem;

    &::-webkit-scrollbar {
      width: 0.2rem;
      border-radius: 0.8rem;
    }

    &::-webkit-scrollbar-track {
      background: transparent;
    }

    &::-webkit-scrollbar-thumb {
      background: var(--gray-4);
    }
  }

  &:not(.-group-shop-block) > .add-to-cart .prod-option {
    padding: 0 !important;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  &:not(.-group-shop-block) > .add-to-cart .attributes .prod-option .inner {
    gap: 0.8rem;
    justify-content: center;
  }

  &:not(.-group-shop-block) > .add-to-cart .attributes .prod-option .colors {
    width: 2.4rem;
    height: 2.4rem;
  }

  &:not(.-group-shop-block) > .add-to-cart .attributes .prod-option .label .text {
    min-width: 3.8rem;
    height: 2.4rem;
    padding: 0.4rem 1rem;
  }
  // -------- //

  > .add-to-cart .last-units {
    display: none;
  }

  > .add-to-cart .add-to-cart-button {
    margin: 1.2rem auto 0;
  }

  > .add-to-cart .more-link {
    display: block;
    text-align: center;
    font-size: var(--font-size-small);
    color: var(--gray-4);
    font-weight: var(--font-weight-base);
    text-transform: lowercase;
    text-decoration: underline;
    margin-top: 0.8rem;
  }

  // Botão de compra rápida com popup - somente mobile
  > .description .button-default {
    margin-top: 0.8rem;

    @include media("md") {
      display: none;
    }
  }

  @import "./product_block_price";
  @import "../content/product/infos/attributes";
}
